import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../repository/wallet_repository.dart';

class ClaimDailyUseCase implements UseCase<DataState<int>, NoParams> {
  final WalletRepository repository;
  ClaimDailyUseCase(this.repository);

  @override
  Future<DataState<int>> call(NoParams params) => repository.claimDaily();
}
